Subject: [PATCH V2 08/12] dmaengine/dw_dmac: Unmap all memory buffers after completion of slave transfers

From: [email-masked] (Viresh Kumar)
Date: Tue, 31 Jan 2012 09:37:54 +0530

On 1/31/2012 9:28 AM, Vinod Koul wrote:
>> > 	if (!dwc->chan.private) {
>> > 		struct device *parent = chan2parent(&dwc->chan);
>> > 		if (!(txd->flags & DMA_COMPL_SKIP_DEST_UNMAP)) {
>> > 
>> > Sorry, I missed the most straight forward looking code. :(
>> > Actually, dw_dmac is also doing the same, i.e. unmapping only for
>> > non-slave transfers.
>> > 
>> > The same patch is still applicable, after fixing message subject and log.
>> > I will resend it, with message log fixed, once i get more feedbacks on V2.
>> > 
> But this patch seems to unmap for *all* descriptors, so you need to fix
> that as well, apart from the ones stated above.

What do you mean by *all* here? All type of transfers ?
If that's the question, then the answer is NO.

I am unmapping all descriptors of current transfer only for non-slave transfers.

-- 
viresh